Get the casting of an asset

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/assets/{asset_id}/casting

Get the casting of an asset. The casting is the list of assets that the asset contains, with the number of occurrences of each asset.

Path parameters

  • asset_id string(uuid) Required

    Unique identifier of the asset

Responses

  • 200 application/json

    The casting of the asset

    Hide response attributes Show response attributes object
    • asset_id string(uuid)

      Asset unique identifier

    • casting array[object]
      Hide casting attributes Show casting attributes object
      • id string(uuid)

        Casting entry unique identifier

      • entity_id string(uuid)

        Entity identifier (shot/sequence)

      • entity_name string

        Entity name

      • entity_type string

        Entity type (shot/sequence)

  • 403

    You do not have access to this project, or you are a vendor without a task on this asset

  • 404

    The asset does not exist

GET /data/assets/{asset_id}/casting
curl -X GET "http://api.example.com/data/assets/a24a6ea4-ce75-4665-a070-57453082c25/casting" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/assets/a24a6ea4-ce75-4665-a070-57453082c25/casting"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "asset_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "casting": [
    {
      "id": "b35b7fb5-df86-5776-b181-68564193d360",
      "entity_id": "d57d91d7-f108-7998-d403-80786315f580",
      "entity_name": "SH001",
      "entity_type": "shot"
    }
  ]
}